devguard
Vendor assessment attachment

List attachments for a vendor assessment.

GET
/vendor-assessment-attachment/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

assessmentId*string
organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/vendor-assessment-attachment/?assessmentId=497f6eca-6276-4993-bfeb-53cbbbba6f08&organizationId=string"
[
  {
    "id": "string",
    "organizationId": "string",
    "assessmentId": "string",
    "title": "string",
    "description": "string",
    "filename": "string",
    "originalName": "string",
    "mimeType": "string",
    "size": -9007199254740991,
    "s3Key": "string",
    "s3Bucket": "string",
    "uploadedBy": "string",
    "createdAt": "string"
  }
]
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?